import type { VillageState } from "../village";

export default function startQuest(V: VillageState, questId: number) {
    const quest = V.quests.find(q => q.id === questId);
    if (!quest) {
        return false;
    }

    quest.started = true;
    quest.remainingTime = quest.duration * 1000;

    return true;
}
